EDIT - task #7846

PopupEditors show editor context information as 'breadcrumbs’ in the header or toolbar.
10/23/2018 01:49 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

This is important for users not to lose track when opening multiple popups.

Related issues:
Copied to EDIT - bug #7962: PopupEditors: *DTO in context 'breadcrumbs'to b... Closed

Associated revisions

Revision ae69029f - 11/06/2018 11:11 AM - Andreas Kohlbecker

fix #7846 editor context information shown as breadcrumbs in the toolbar of popup editors

Revision 592cd32e - 11/07/2018 04:42 PM - Andreas Kohlbecker

ref #7893 supplying editor context information for new name button

History

#1 - 11/06/2018 11:12 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|ae69029fdb060770bd05a8¢c3cf578541bf01daf9.

#2 - 11/06/2018 11:20 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please take a look

#3 - 12/19/2018 07:52 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Tested for a new infraspecific name with new genus with new reference and new species epithet with new article in new journal. Added orthographical
variant.

Seems to be implemented in a generic way, user guidance is straight forward and very helpful.

Ticket might be closed.

#4 - 12/19/2018 08:11 PM - Wolf-Henning Kusber
What is "SpecimenTypeDesignationWorkingSetDTO" DTO?

#5 - 12/20/2018 07:56 AM - Andreas Kohlbecker
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

DTO is an acronym for Data Transfer Object. The *DTO labels should be transformes into something more user friendly of course.
| propose creating a new ticket for this remaining issue: #7962

| think we can close this ticket if this was the only remaining open task, do you agree?
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/ae69029fdb060770bd05a8c3cf578541bf01daf9
https://dev.e-taxonomy.eu/redmine/issues/7962

#6 - 12/20/2018 07:56 AM - Andreas Kohlbecker
- Copied to bug #7962: PopupEditors: *DTO in context 'breadcrumbs' to be transformed into more humane labels added

#7 - 01/29/2019 06:56 PM - Wolf-Henning Kusber
- Status changed from Feedback to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Yes
